Get message details by ID
Retrieves comprehensive details about a specific message using the message ID. Returns complete message data including delivery status, channel information, template details, contact information, and pricing. The customer ID is extracted from the authentication token to ensure the message belongs to the authenticated customer.
Response Body
application/json
curl -X GET "https://example.com/v2/messages/7ba7b820-9dad-11d1-80b4-00c04fd430c8"{
"id": "7ba7b820-9dad-11d1-80b4-00c04fd430c8",
"customerId": "550e8400-e29b-41d4-a716-446655440000",
"contactId": "550e8400-e29b-41d4-a716-446655440002",
"phoneNumber": "+1234567890",
"phoneNumberInternational": "+1 234-567-8900",
"regionCode": "US",
"templateId": "550e8400-e29b-41d4-a716-446655440003",
"templateName": "Welcome Message",
"templateCategory": "UTILITY",
"channel": "WhatsApp",
"messageBody": {
"header": null,
"content": "Welcome to our service, John! We're excited to have you.",
"footer": null,
"buttons": null
},
"status": "DELIVERED",
"createdAt": "2026-08-17T17:45:36.5604037+00:00",
"price": 0.0055,
"activeContactPrice": 0.015,
"events": [
{
"status": "QUEUED",
"timestamp": "2026-08-17T17:45:36.5607262+00:00",
"description": "Message queued for sending"
},
{
"status": "SENT",
"timestamp": "2026-08-17T17:45:41.5608044+00:00",
"description": "Message sent to WhatsApp"
},
{
"status": "DELIVERED",
"timestamp": "2026-08-17T17:45:46.5608054+00:00",
"description": "Message delivered to recipient"
},
{
"status": "READ",
"timestamp": "2026-08-17T17:50:36.5608057+00:00",
"description": "Message read by recipient"
}
]
}Send quick message POST
Sends a message to a phone number using the default template. This endpoint is rate limited to 5 messages per customer per day. The customer ID is extracted from the authentication token.
Get paginated contacts for authenticated customer GET
Retrieves a paginated list of contacts for the authenticated customer. Supports server-side pagination with configurable page size. The customer ID is extracted from the authentication token.